## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-deploy
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.14.0
Release:        %autorelease
Summary:        Python Client for Google Cloud Deploy

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Deploy allows users to deploy applications to
Google Kubernetes Engine.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
# Not intended to be imported directly.
#%%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md samples/
%{python3_sitelib}/google_cloud_deploy-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Nov 03 2023 Packit <hello@packit.dev> - 1.14.0-1
- [packit] 1.14.0 upstream release
- Resolves rhbz#2247621

* Fri Nov 03 2023 Major Hayden <major@redhat.com> - 1.12.1-3
- Reconfigure packit

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.12.1-2
- Allow packit to do koji builds

* Tue Sep 19 2023 Packit <hello@packit.dev> - 1.12.1-1
- [packit] 1.12.1 upstream release

* Thu Aug 03 2023 Major Hayden <major@redhat.com> - 1.12.0-1
- Update to 1.12.0

* Thu Aug 03 2023 Major Hayden <major@redhat.com> - 1.11.1-2
- Add packit config

* Fri Jul 21 2023 Major Hayden <major@redhat.com> - 1.11.1-1
- Update to 1.11.1 rhbz#2224431

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2222012

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.10.1-1
- Update to 1.10.1 rhbz#2216538

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.9.0-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 1.9.0-1
- Update to 1.9.0 rhbz#2211519

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.8.0-1
- Update to 1.8.0 rhbz#2182109

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2172772

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.4.1-1
- Update to 1.4.1 rhbz#2131102

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 1.3.1-1
- Update to 1.3.1 rhbz#2118782

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.3.0-1
- Update to 1.3.0 rhbz#2108124

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.2.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.2.1-1
- Update to 1.2.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 1.2.0-1
- 🚀 Update to 1.2.0

* Mon Apr 11 2022 Major Hayden 🤠 <major@mhtx.net> - 1.1.1-2
- Update docs

* Mon Apr 11 2022 Major Hayden 🤠 <major@mhtx.net> - 1.1.1-1
- Initial import (#2068117)
